Package io.vertx.rxjava3.ext.web.handler

## Class BasicAuthHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.BasicAuthHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `io.vertx.lang.rx.RxDelegate`, `AuthenticationHandler`

      public class BasicAuthHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate, AuthenticationHandler, Handler<RoutingContext>

  An auth handler that provides HTTP Basic Authentication support.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<BasicAuthHandler>` | `__TYPE_ARG` |
    `static String` | `DEFAULT_REALM` | The default realm to use

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicAuthHandler​(BasicAuthHandler delegate)` |
    `BasicAuthHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BasicAuthHandler` | `create​(AuthenticationProvider authProvider)` | Create a basic auth handler
    `static BasicAuthHandler` | `create​(AuthenticationProvider authProvider, String realm)` | Create a basic auth handler, specifying realm
    `boolean` | `equals​(Object o)` |
    `BasicAuthHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static BasicAuthHandler` | `newInstance​(BasicAuthHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<BasicAuthHandler> __TYPE_ARG

    - #### DEFAULT_REALM

          public static final String DEFAULT_REALM

      The default realm to use
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BasicAuthHandler

          public BasicAuthHandler​(BasicAuthHandler delegate)

    - #### BasicAuthHandler

          public BasicAuthHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public BasicAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static BasicAuthHandler create​(AuthenticationProvider authProvider)

      Create a basic auth handler
      Parameters:
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### create

          public static BasicAuthHandler create​(AuthenticationProvider authProvider,
                                                String realm)

      Create a basic auth handler, specifying realm
      Parameters:
        `authProvider` - the auth service to use
        `realm` - the realm to use
      Returns:
        the auth handler

    - #### newInstance

          public static BasicAuthHandler newInstance​(BasicAuthHandler arg)